package org.eclipse.wtp.releng.tools.component.api;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import org.eclipse.wtp.releng.tools.component.ILocation;
import org.eclipse.wtp.releng.tools.component.ILocationVisitor;
import org.eclipse.wtp.releng.tools.component.model.ComponentXML;

public class ComponentXMLVisitor implements ILocationVisitor
{
  private List compXMLs;

  public ComponentXMLVisitor()
  {
    this.compXMLs = new ArrayList();
  }

  public Collection getCompXMLs()
  {
    return new ArrayList(compXMLs);
  }

  public boolean accept(ILocation location)
  {
    String locationName = location.getName();
    if (locationName.endsWith("component.xml"))
    {
      try
      {
        ComponentXML compXML = new ComponentXML();
        compXML.setLocation(location);
        compXML.load();
        compXMLs.add(compXML);
      }
      catch (Throwable e)
      {
      }
    }
    return true;
  }
}